Skip to main content

This browser is no longer supported.

Upgrade to Microsoft Edge to take advantage of the latest features, security updates, and technical support.

Download Microsoft Edge More info about Internet Explorer and Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Agent Insight Monitors

updateInsight

PATCH /agent_insight_monitors/{monitor_id}/insights/{insight_id}

Update the lifecycle status of an insight.

Header parameters

Foundry-Features enum required

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

AgentInsights=V1Preview

Path parameters

monitor_id string required

The identifier of the monitor.

insight_id string required

The identifier of the insight.

Query parameters

api-version string required

The API version to use for this operation.

Request Body

The insight fields to update.

Content-Type: application/merge-patch+json
status string | enum

The lifecycle status of an agent insight.

Any of the following:
string
enum
activeresolvedignored

Responses

The request has succeeded.

Body

Content-Type: application/json
id string required

The insight identifier.

monitor_id string required

The Agent Insights monitor this insight belongs to.

agent_name string required

The agent this insight belongs to.

agent_version string required

The latest immutable agent version associated with this insight.

title string required

A short title for the issue.

severity string | enum required

The severity of an agent insight.

Any of the following:
string
enum
highmediumlow
category string required

An open, service-generated category label for the issue. Clients must accept previously unseen values.

status string | enum required

The lifecycle status of an agent insight.

Any of the following:
string
enum
activeresolvedignored
trace_count integer required

The number of traces that provide evidence for this insight.

created_at integer required
updated_at integer required
description string required

The root-cause diagnosis for the issue.

details AgentInsightDetails

Additional insight details. Omitted unless details are requested.

highlighted_traces AgentInsightHighlightedTrace[] required

Up to 5 highlighted traces that provide evidence for this insight.

linked_traces AgentInsightLinkedTrace[] required

Up to 200 most recent traces linked to this insight as supporting evidence.

recommended_actions AgentInsightRecommendedAction required

The recommended remediation for an agent insight.

proposed_fix AgentInsightProposedFix required

A recommended fix for an agent insight.

kind string | enum required

The customer-renderable kind of an agent insight's proposed fix.

Any of the following:
string
enum
prosecode_changeprompt_change
text string required

The human-readable remediation guidance.

changes AgentInsightProposedFixChange[]

The concrete changes. Omitted for a prose-only fix.

Client error

Body

Content-Type: application/json
error OpenAI.Error required
code string | null required
message string required
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Any of the following:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string required

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Body

Content-Type: application/json
error OpenAI.Error required
code string | null required
message string required
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Any of the following:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string required

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Request

PATCH /agent_insight_monitors/{monitor_id}/insights/{insight_id} HTTP/1.1

Response

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
en-us
Your Privacy Choices
  • AI Disclaimer
  • Previous Versions
  • Blog
  • Contribute
  • Privacy
  • Consumer Health Privacy
  • Terms of Use
  • Trademarks
  • © Microsoft 2026